%define mainver 1.7

Name:		starfighter
Version:	1.7
Release:	%mkrel 3
Summary:	Project: Starfighter, a side-scrolling shoot 'em up space game
Group:		Games/Arcade
License:	GPLv3+
URL:		http://starfighter.nongnu.org
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{mainver}/%{name}-%{version}-src.tar.gz
Patch0:		starfighter-1.7-mga-datarootdir.patch

BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
Requires:	%{name}-data = %{version}-%{release}

%description
In the year 2579, the intergalactic weapons corporation, WEAPCO, has
dominated the galaxy. Guide Chris Bainfield and his friend Sid Wilson
on their quest to liberate the galaxy from the clutches of WEAPCO.
Along the way, you will encounter new foes, make new allies, and assist
local rebels in strikes against the evil corporation.

Originally developed by Parallel Realities in 2003, Project: Starfighter
is a side-scrolling shoot 'em up space game, released under the GNU GPL.
Consisting of 26 engaging levels spanning four planetary systems, this
classic game will entertain for hours.

%package data
Summary:        Arch-independent data files for Project: Starfighter
License:        GPLv3+ and GPLv2+ and CC BY-SA 3.0 and CC BY 3.0 and CC0 and Public Domain
BuildArch:      noarch

%description data
This package contains arch-independent data files (sounds, graphics, etc.)
for the Project: Starfighter game.

%prep
%autosetup -p1 -n %{name}-%{version}-src

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%files
%doc docs/ COPYING LICENSES README.txt
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files data
%{_gamesdatadir}/%{name}/


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.7-3.mga8
+ Revision: 1517233
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.7-2.mga7
+ Revision: 1301186
- Mageia 7 Mass Rebuild

* Thu Apr 06 2017 akien <akien> 1.7-1.mga6
+ Revision: 1096046
- Version 1.7

* Sat Sep 24 2016 zezinho <zezinho> 1.6-1.mga6
+ Revision: 1055809
- new version

* Sun Jan 17 2016 akien <akien> 1.5.1.1-1.mga6
+ Revision: 924795
- Improve description
- Move noarch data in a -data subpackage
- Version 1.5.1.1
- Drop custom icons and desktop file, upstream provides them now

* Wed Sep 09 2015 zezinho <zezinho> 1.4-1.mga6
+ Revision: 874789
- new version 1.4 with music

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 747371
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-4.mga5
+ Revision: 689526
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 519086
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 383372
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 zezinho <zezinho> 1.2-1.mga3
+ Revision: 259299
- new version

* Sun Jul 10 2011 stormi <stormi> 1.1-9.mga2
+ Revision: 121436
- increase release so that it's higher than in mageia 1

* Sat Jun 25 2011 zezinho <zezinho> 1.1-8.mga2
+ Revision: 113522
- imported package starfighter


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-8mdv2011.0
+ Revision: 614976
- the mass rebuild of 2010.1 packages

* Sat May 01 2010 Funda Wang <fwang@mandriva.org> 1.1-7mdv2010.1
+ Revision: 541405
- fix build with format check

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.1-6mdv2009.0
+ Revision: 218426
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Jul 09 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1-6mdv2008.0
+ Revision: 50360
- drop debian menu
  rebuild
- Import starfighter



* Thu Aug 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-5mdv2007.0
- xdg menu
- fix group

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-4mdk
- rebuild
- %%mkrel

* Fri Aug 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-3mdk
- rebuild for new menu
- don't bzip2 icons in src.rpm
- fix buildrequires (lib64..)

* Tue Jun  8 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1-2mdk
- rebuild for new g++

* Mon Sep 01 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-1mdk
- 1.1
- license is now GPL
- regenerated P0

* Sun Aug 03 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-5mdk
- changed description (thx, Adam Williamson & Charles A. Edwards)

* Sat Aug 02 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-4mdk
- corrected url

* Mon Jun 02 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.00-3mdk
- change summary to macro to avoid the use of the -debug package's summary
  in menu item

* Wed May 28 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.00-2mdk
- fix summary and name, it's Project: Starfighter not only Starfighter

* Wed May 21 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.00-1mdk
- initial mdk release
